Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 9358bff26b421a85a750ccfad4a8e763090ed873)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
@@ -77,12 +77,10 @@
 
     @GetMapping("/adoption-posts")
-    public String getAdoptionPosts(Model model, HttpServletRequest request){
+    public String getAdoptionPosts(Model model){
 
         List<Post> posts = this.postService.findAll();
         List<Pet> pets = this.petService.listpets();
-        //model.addAttribute("posts", posts);
-        //model.addAttribute("pets",pets);
-        request.getSession().setAttribute("posts",posts);//temp
-        request.getSession().setAttribute("pets",pets);//temp
+        model.addAttribute("posts", posts);
+        model.addAttribute("pets",pets);
 
         return "list-posts-adoption";
@@ -90,19 +88,12 @@
 
     @GetMapping("/pet-details-{id}")
-    public String getPostDetails(@PathVariable Integer id, Model model, HttpServletRequest request){
+    public String getPostDetails(@PathVariable Integer id,
+                                 Model model){
 
         Post post = this.postService.findById(id).get();
         Pet pet = this.petService.findById(post.getPetId());
 
-        //model.addAttribute("pet", pet);
-        //model.addAttribute("post", post);
-        request.getSession().setAttribute("post", post);//temp
-        request.getSession().setAttribute("pet", pet);//temp
-
-        if(pet.getAdoptionId() != null){
-            request.getSession().setAttribute("disableAdoption", true);
-        } else{
-            request.getSession().setAttribute("disableAdoption", false);
-        }
+        model.addAttribute("pet", pet);
+        model.addAttribute("post", post);
 
         return "pet-details";
Index: Prototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html	(revision 9358bff26b421a85a750ccfad4a8e763090ed873)
+++ Prototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
@@ -1,5 +1,5 @@
 <!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:th="http://www.thymeleaf.org"
+      xmlns:th="http://thymeleaf.org"
       xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
       xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
@@ -45,8 +45,8 @@
         <th>Species</th>
     </tr>
-    <tr th:each = "post : ${session.posts}">
+    <tr th:each = "post : ${posts}">
         <td th:text = "${post.getId()}"></td>
-        <td th:each = "pet : ${session.pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getName()}"></td>
-        <td th:each = "pet : ${session.pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getSpecies()}"></td>
+        <td th:each = "pet : ${pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getName()}"></td>
+        <td th:each = "pet : ${pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getSpecies()}"></td>
         <td>
             <form th:action="@{'/pet-details-{id}' (id=${post.getId()})}"
Index: Prototype Application/Paw5/src/main/resources/templates/pet-details.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/pet-details.html	(revision 9358bff26b421a85a750ccfad4a8e763090ed873)
+++ Prototype Application/Paw5/src/main/resources/templates/pet-details.html	(revision 8b7dd7f1ec33aa6a925cce2f923c06937b5d1679)
@@ -1,5 +1,5 @@
 <!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:th="http://www.thymeleaf.org"
+      xmlns:th="http://thymeleaf.org"
       xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
       xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
@@ -41,34 +41,36 @@
     <tr>
         <th>Post ID</th>
-        <td th:text = "${session.post.getId()}"></td>
+        <td th:text = "${post.getId()}"></td>
     <tr>
         <th>Pet Name</th>
-        <td th:text = "${session.pet.getName()}"></td>
+        <td th:text = "${pet.getName()}"></td>
     </tr>
     <tr>
         <th>Species</th>
-        <td th:text = "${session.pet.getSpecies()}"></td>
+        <td th:text = "${pet.getSpecies()}"></td>
     </tr>
     <tr>
         <th>Breed</th>
-        <td th:text = "${session.pet.getBreed()}"></td>
+        <td th:text = "${pet.getBreed()}"></td>
     </tr>
     <tr>
         <th>Gender</th>
-        <td th:text = "${session.pet.getGender()}"></td>
+        <td th:text = "${pet.getGender()}"></td>
     </tr>
     <tr>
         <th>Age Group</th>
-        <td th:text = "${session.pet.getAgeGroup}"></td>
+        <td th:text = "${pet.getAgeGroup}"></td>
     </tr>
     <tr>
         <th>Size</th>
-        <td th:text = "${session.pet.getSize()}"></td>
+        <td th:text = "${pet.getSize()}"></td>
     </tr>
 </table>
 <form method="POST"
-      th:action="@{'/submit-adopton-{id}' (id=${session.pet.getId()})}"
-      th:if="${session.pet.getAdoptionId()==null}">
-    <button id="submit" type="submit">Adopt</button>
+      th:action="@{'/submit-adopton-{id}' (id=${pet.getId()})}"
+      th:if="${pet.getAdoptionId()==null}">
+    <button id="submit"
+            type="submit"
+            class="btn">Adopt</button>
 </form>
 
